import React, { useState } from 'react';
import UrlCard from '@/components/UrlCard';
import styles from './index.less';

// 导入logo和标题资源
import logo1 from '@/assets/images/V-2504/url-logo-1.png';
import logo2 from '@/assets/images/V-2504/url-logo-2.png';
import logo3 from '@/assets/images/V-2504/url-logo-3.png';
import logo4 from '@/assets/images/V-2504/url-logo-4.png';
import logo5 from '@/assets/images/V-2504/url-logo-5.png';
import logo6 from '@/assets/images/V-2504/url-logo-6.png';
import logo7 from '@/assets/images/V-2504/url-logo-7.png';
import logo8 from '@/assets/images/V-2504/url-logo-8.png';

import title1 from '@/assets/images/V-2504/url-title-1.png';
import title2 from '@/assets/images/V-2504/url-title-2.png';
import title3 from '@/assets/images/V-2504/url-title-3.png';
import title4 from '@/assets/images/V-2504/url-title-4.png';
import title5 from '@/assets/images/V-2504/url-title-5.png';
import title6 from '@/assets/images/V-2504/url-title-6.png';
import title7 from '@/assets/images/V-2504/url-title-7.png';
import title8 from '@/assets/images/V-2504/url-title-8.png';

interface UrlCardConfig {
  id: string;
  logoSrc: string;
  titleSrc: string;
  targetUrl: string;
}

const RightBottom: React.FC = () => {
  const [activeCardId, setActiveCardId] = useState<string>('');

  // 卡片配置
  const cardConfigs: UrlCardConfig[] = [
    {
      id: 'card1',
      logoSrc: logo1,
      titleSrc: title1,
      targetUrl: 'https://example.com/target1',
    },
    {
      id: 'card2',
      logoSrc: logo2,
      titleSrc: title2,
      targetUrl: 'https://example.com/target2',
    },
    {
      id: 'card3',
      logoSrc: logo3,
      titleSrc: title3,
      targetUrl: 'https://example.com/target3',
    },
    {
      id: 'card4',
      logoSrc: logo4,
      titleSrc: title4,
      targetUrl: 'https://example.com/target4',
    },
    {
      id: 'card5',
      logoSrc: logo5,
      titleSrc: title5,
      targetUrl: 'https://example.com/target5',
    },
    {
      id: 'card6',
      logoSrc: logo6,
      titleSrc: title6,
      targetUrl: 'https://example.com/target6',
    },
    {
      id: 'card7',
      logoSrc: logo7,
      titleSrc: title7,
      targetUrl: 'https://example.com/target7',
    },
    {
      id: 'card8',
      logoSrc: logo8,
      titleSrc: title8,
      targetUrl: 'https://example.com/target8',
    },
  ];

  const handleCardClick = (id: string) => {
    setActiveCardId(id);
  };

  // 将卡片分成两行
  const firstRowCards = cardConfigs.slice(0, 4);
  const secondRowCards = cardConfigs.slice(4, 8);

  return (
    <div className={styles.container}>
      {/* <div className={styles.title}>相关链接</div> */}
      <div className={styles.content}>
        <div className={styles.cardsRow}>
          {firstRowCards.map((card) => (
            <UrlCard
              key={card.id}
              id={card.id}
              logoSrc={card.logoSrc}
              titleSrc={card.titleSrc}
              targetUrl={card.targetUrl}
              // isActive={activeCardId === card.id}
              onClick={handleCardClick}
            />
          ))}
        </div>
        <div className={styles.cardsRow}>
          {secondRowCards.map((card) => (
            <UrlCard
              key={card.id}
              id={card.id}
              logoSrc={card.logoSrc}
              titleSrc={card.titleSrc}
              targetUrl={card.targetUrl}
              // isActive={activeCardId === card.id}
              onClick={handleCardClick}
            />
          ))}
        </div>
      </div>
    </div>
  );
};

export default RightBottom; 