import React, { useState } from 'react';
import ModuleTitleWithTabs from '@/pages/Home_v_2504/components/common/ModuleTitleWithTabs';
import AreaBarList from '@/components/V2504/AreaBarList';
import styles from './index.less';

// 类型定义
// type AreaType = 'all' | 'urban' | 'central' | 'county';

interface AreaData {
  name: string;
  percentage: number;
  count: number;
}

interface AlertRankingProps {
  data?: AreaData[];
}

const AlertRanking: React.FC<AlertRankingProps> = ({ 
  data = [
    { name: '成都麻辣传奇火锅店', percentage: 87.2, count: 7582 },
    { name: '宽窄巷子老灶火锅', percentage: 83.5, count: 7277 },
    { name: '锦鲤古街风情火锅', percentage: 70.8, count: 7004 },
    { name: '辣斗拉火锅春熙路店', percentage: 65.6, count: 6985 },
    { name: '川西坝子火锅', percentage: 62.9, count: 6932 },
    { name: '蜀九香火锅', percentage: 60.6, count: 6820 },
    { name: '巴蜀大将火锅', percentage: 58.5, count: 6755 },
    { name: '龙抄手火锅', percentage: 55.4, count: 6666 },
    { name: '老妈蹄花火锅', percentage: 50.3, count: 6338 },
    { name: '钢管厂老火锅', percentage: 48.2, count: 6000 },
    { name: '洞子口张老二凉粉', percentage: 45.1, count: 5882 },
    { name: '川西印象火锅', percentage: 42.0, count: 5661 },
  ]
}) => {
  // const [activeRankingType, setActiveRankingType] = useState<AreaType>('all');

  return (
    <div className={styles.alertRankingSection}>
      <ModuleTitleWithTabs 
        title="告警排行" 
        // tabs={[
        //   { key: 'all', label: '全部' },
        //   { key: 'urban', label: '城市新区' },
        //   { key: 'central', label: '中心城区' },
        //   { key: 'county', label: '县市新城' },
        // ]}
        // activeKey={activeRankingType}
        // onTabChange={(key) => setActiveRankingType(key as AreaType)}
      />
      <div className={styles.alertRankingContent}>
        <AreaBarList 
          data={data} 
          showCount={true}
          showPercentage={false}
          height={754}
          progressColor={{ from: 'rgb(0, 185, 255)', to: 'rgb(121, 255, 209)' }}
          unit="次"
        />
      </div>
    </div>
  );
};

export default AlertRanking; 