import React, { useState } from 'react';
import classNames from 'classnames';
import styles from './index.less';

interface VideoItem {
  id: string;
  title: string;
  thumbnail: string;
}

const VideoCarousel: React.FC = () => {
  // Mock data - replace with actual API data
  const videoItems: VideoItem[] = [
    { id: '1', title: '重点区域', thumbnail: '' },
    { id: '2', title: '背街小巷', thumbnail: '' },
    { id: '3', title: '农贸市场', thumbnail: '' },
    { id: '4', title: '地铁口', thumbnail: '' },
  ];

  const [activeVideoId, setActiveVideoId] = useState<string>(videoItems[0].id);

  return (
    <div className={styles.container}>
      {videoItems.map((video) => (
        <div
          key={video.id}
          // className={classNames(styles.videoItem, {
          //   [styles.active]: video.id === activeVideoId,
          // })}
          className={styles.videoItem}
          onClick={() => setActiveVideoId(video.id)}
        >
          <div className={styles.videoThumbnail}>
            {/* Video placeholder */}
            <div className={styles.videoPlaceholder}>
              <div className={styles.videoTitle}>
                {video.title}
              </div>
            </div>
          </div>
        </div>
      ))}
    </div>
  );
};

export default VideoCarousel; 