import React from 'react';
import classNames from 'classnames';
import styles from './index.less';
import SubTitle from '../SubTitle';
export interface TabItem {
  key: string;
  label: string;
}

export interface ModuleTitleWithTabsProps {
  title: string;
  tabs?: TabItem[];
  activeKey?: string;
  onTabChange?: (key: string) => void;
  className?: string;
}

const ModuleTitleWithTabs: React.FC<ModuleTitleWithTabsProps> = ({
  title,
  tabs,
  activeKey,
  onTabChange,
  className
}) => {
  return (
    <div className={classNames(styles.container, className)}>
      {/* <div className={styles.titleWrapper}>
        <div className={styles.titleBar}></div>
        <div className={styles.title}>{title}</div>
      </div> */}
      <SubTitle title={title} fixedTop={15} />
      
      {tabs && tabs.length > 0 && (
        <div className={styles.tabsContainer}>
          {tabs.map(tab => (
            <div
              key={tab.key}
              className={classNames(styles.tab, {
                [styles.activeTab]: tab.key === activeKey
              })}
              onClick={() => onTabChange?.(tab.key)}
            >
              {tab.label}
            </div>
          ))}
        </div>
      )}
    </div>
  );
};

export default ModuleTitleWithTabs; 